GeodeClusterManagementServiceBuilder (Apache Geode 1.15.4)

org.apache.geode.management.builder

## Class GeodeClusterManagementServiceBuilder

- java.lang.Object
- - org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<GeodeClusterManagementServiceBuilder>
  - - org.apache.geode.management.builder.GeodeClusterManagementServiceBuilder

-     public class GeodeClusterManagementServiceBuilder
      extends org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<GeodeClusterManagementServiceBuilder>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GeodeClusterManagementServiceBuilder()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected ConnectionConfig` | `createConnectionConfig()`
    `GemFireCache` | `getCache()`
    `GeodeClusterManagementServiceBuilder` | `setCache(GemFireCache cache)`

    - ### Methods inherited from class org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder

      `build, configureConnectionConfig, setAuthToken, setFollowRedirects, setHostnameVerifier, setPassword, setSslContext, setTransport, setUsername`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GeodeClusterManagementServiceBuilder

          public GeodeClusterManagementServiceBuilder()

  - ### Method Detail

    - #### getCache

          public GemFireCache getCache()

    - #### setCache

          public GeodeClusterManagementServiceBuilder setCache(GemFireCache cache)

    - #### createConnectionConfig

          protected ConnectionConfig createConnectionConfig()

      Specified by:
        `createConnectionConfig` in class `org.apache.geode.management.service.internal.api.BaseManagementServiceBuilder<GeodeClusterManagementServiceBuilder>`